<%= javascript_include_tag "decidim/slug_form" %>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t "conferences.form.title", scope: "decidim.admin" %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :slogan %>
    </div>

    <div class="row">
      <div class="columns xlarge-6 slug">
        <%= form.text_field :slug %>
        <p class="help-text"><%== t(".slug_help", url: decidim_form_slug_url(:conferences, form.object.slug)) %></p>
      </div>

      <div class="columns xlarge-6">
        <%= form.text_field :hashtag %>
      </div>
    </div>

    <div class="row column">
      <%= form.check_box :promoted %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :short_description %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :description, toolbar: :image, lines: 25 %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :objectives, toolbar: :image, lines: 25 %>
    </div>

    <div class="row column">
      <%= form.text_field :location %>
    </div>

    <div class="row column">
      <%= form.check_box :custom_link_enabled %>
      <%= form.translated :text_field, :custom_link_name, autofocus: true %>
      <%= form.text_field :custom_link_url %>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.upload :hero_image %>
      </div>

      <div class="columns xlarge-6">
        <%= form.upload :banner_image %>
      </div>
    </div>

    <div class="row column">
      <%= form.check_box :scopes_enabled %>
    </div>

    <div class="row column">
      <%= scopes_picker_field form, :scope_id, root: nil %>
    </div>

    <div class="row column">
      <%= form.check_box :show_statistics %>
    </div>

    <div class="row column">
      <%= form.date_field :start_date %>
    </div>

    <div class="row column">
      <%= form.date_field :end_date %>
    </div>

    <div class="row column">
      <%= form.check_box :registrations_enabled %>
    </div>

    <div class="row column">
      <p><%= t(".registrations_count", count: current_participatory_space.present? ? current_participatory_space.conference_registrations.count : 0) %></p>
      <%= form.number_field :available_slots %>
      <p class="help-text"><%= t(".available_slots_help") %></p>
    </div>

    <div class="row column" id="conference_registrations_terms">
      <%= form.translated :editor, :registration_terms %>
    </div>

    <div class="row column">
      <% if @form.processes_for_select %>
        <%= form.select :participatory_processes_ids,
                        options_for_select(@form.processes_for_select, selected: processes_selected ),
                        { include_blank: true },
                        { multiple: true, class: "chosen-select" } %>
      <% end %>
    </div>

    <div class="row column">
      <% if @form.assemblies_for_select %>
        <%= form.select :assemblies_ids,
                        options_for_select(@form.assemblies_for_select, selected: assemblies_selected ),
                        { include_blank: true },
                        { multiple: true, class: "chosen-select" } %>
      <% end %>
    </div>

    <div class="row column">
      <% if @form.consultations_for_select %>
        <%= form.select :consultations_ids,
                        options_for_select(@form.consultations_for_select, selected: consultations_selected ),
                        { include_blank: true },
                        { multiple: true, class: "chosen-select" } %>
      <% end %>
    </div>

  </div>
</div>

<%= javascript_include_tag "decidim/conferences/admin/conferences" %>
